2018-01-17 19:04 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001866openmediavaultFeaturepublic2017-12-14 12:32
Reporterkschoenf 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionErasmus (3.x) 
Target VersionArrakis (4.x)Fixed in VersionArrakis (4.x) 
Summary0001866: OMV proxy settings: export to environment via profile extention is not enough...
DescriptionThe OMV proxy settings are exported to the environment via a profile extension "/etc/profile.d/10openmediavault-proxy.sh".

This way is not enough in a (as example) corporate environment with a restrictive proxy and an allowed internet access via proxy only, because the "cron-apt" tooling will be called via a cron job and a cron job is not running with the complete environment settings because it is not started via a login shell, which will source all profile settings like "/etc/profile.d/*".

My proposal to fix this, would be to extend also the apt configuration in /etc/apt and to create an additional config file "99openmediavault-apt-proxy" in /etc/apt/apt.conf.d with the following content as example

// Proxy settings for APT only
Acquire::ftp::proxy "http://<proxy>:<port>/";
Acquire::http::proxy "http://<proxy>:<port>/";
Acquire::https::proxy "http://<proxy>:<port>/";

This will ensure that APT (and also cron-apt) has always the defined proxy settings in their configuration.

As a side effect this will also fix an hanging "apt-get update" call via the OMV Web GUI because also their the proxy settings were not available.
Steps To ReproduceSetup a restrictive proxy and forbid the direct internet access, this means allow only an access to the internet via a defined proxy.
Tagscron, proxy
Product build
Attached Files

-Relationships
related to 0001868resolvedvotdev OMV proxy settings: internet access from cron jobs failed 
+Relationships

-Notes

~0005069

votdev (administrator)

Fixed in openmediavault 4.0.15, see https://github.com/openmediavault/openmediavault/commit/9e09d5d41126eb10ab9e11241ac18b1404f9a8e0.
+Notes

-Issue History
Date Modified Username Field Change
2017-12-11 17:09 kschoenf New Issue
2017-12-11 17:09 kschoenf Status new => assigned
2017-12-11 17:09 kschoenf Assigned To => votdev
2017-12-11 17:09 kschoenf Tag Attached: cron
2017-12-11 17:09 kschoenf Tag Attached: proxy
2017-12-11 17:26 votdev Category Bug => Feature
2017-12-11 17:26 votdev Target Version => Arrakis (4.x)
2017-12-11 17:26 votdev Product build 3.0.94 =>
2017-12-11 19:21 votdev Status assigned => resolved
2017-12-11 19:21 votdev Resolution open => fixed
2017-12-11 19:21 votdev Fixed in Version => Arrakis (4.x)
2017-12-11 19:21 votdev Note Added: 0005069
2017-12-14 12:32 votdev Relationship added related to 0001868
+Issue History